| My Project

Public Member Functions | Properties | List of all members
Modèle.Requin Class Reference

Classe Requin qui implémente la méthode IEquatable de Requin More...

Inheritance diagram for Modèle.Requin:

## Public Member Functions
| Requin (string nom, string nomSci, string description, string photo, string video, string photoCarte, Conservation statutCons, List< Zone > repartition, string funFact)
| Constructeur du requin avec fun fact More...
| Requin (string nom, string nomSci, string description, string photo, string video, string photoCarte, Conservation statutCons, List< Zone > repartition, List< string > funFacts)
| Constructeur du requin sans fun fact qui génère donc une fun fact aléatoire depuis une liste de fun fact More...
override string | ToString ()
| Méthode ToString de la classe Requin
bool | Equals (Requin r)
| Méthode Equals de la classe Requin qui permet de savoir si deux requins sont égaux, regarde l'égalité en fonction des noms et des nom scientifiques
override bool | Equals (object obj)
| Méthode ToString de la classe Requin qui permet l'implémentation de la méthode IEquatable de Requin
override int | GetHashCode ()
| Méthode GetHashCode de la classe Requin qui permet de récupérer le hash code d'un requin avec son nom et son nom scientifique

## Properties
string | Nom`[get]`
| string le nom du requin
string | NomSci`[get]`
| string le nom scientifique du requin
string | Description`[get]`
| string la description du requin
string | Photo`[get]`
| string l'URL de la photo du requin
string | Video`[get]`
| string le chemin de la vidéo du requin
string | PhotoCarte`[get]`
| string l'URL de la photo de la carte de répartition du requin
Conservation | StatutCons`[get]`
| Conservation le statut de conservation du requin
string | FunFact`[get]`
| string fun fact sur les requins
List< Zone > | Repartition`[get]`
| List de Zone la répartition du requin sur la planète

## Detailed Description

Classe Requin qui implémente la méthode IEquatable de Requin

## Constructor & Destructor Documentation

## ◆ Requin() [1/2]

Modèle.Requin.Requin | ( | string | nom,
|  | string | nomSci,
|  | string | description,
|  | string | photo,
|  | string | video,
|  | string | photoCarte,
|  | Conservation | statutCons,
|  | List< Zone > | repartition,
|  | string | funFact
| ) |  |
| inline

Constructeur du requin avec fun fact

Parameters

  nom | string le nom du requin
  nomSci | string le nom scientifique du requin
  description | string la description du requin
  photo | string l'URL de la photo du requin
  video | string le chemin de la vidéo du requin
  photoCarte | string l'URL de la photo de la carte de répartition du requin
  statutCons | Conservation le statut de conservation du requin
  repartition | List de Zone la répartition du requin sur la planète
  funFact | string fun fact sur les requins

## ◆ Requin() [2/2]

Modèle.Requin.Requin | ( | string | nom,
|  | string | nomSci,
|  | string | description,
|  | string | photo,
|  | string | video,
|  | string | photoCarte,
|  | Conservation | statutCons,
|  | List< Zone > | repartition,
|  | List< string > | funFacts
| ) |  |
| inline

Constructeur du requin sans fun fact qui génère donc une fun fact aléatoire depuis une liste de fun fact

Parameters

  nom | string le nom du requin
  nomSci | string le nom scientifique du requin
  description | string la description du requin
  photo | string l'URL de la photo du requin
  video | string le chemin de la vidéo du requin
  photoCarte | string l'URL de la photo de la carte de répartition du requin
  statutCons | Conservation le statut de conservation du requin
  repartition | List de Zone la répartition du requin sur la planète
  funFacts | List de string list de fun facts

The documentation for this class was generated from the following file:

- Modèle/Requin.cs